
// FindFilesDlg.h : header file
//

#pragma once


// CFindFilesDlg dialog
class CFindFilesDlg : public CDialogEx
{
// Construction
public:
	CFindFilesDlg(CWnd* pParent = nullptr);	// standard constructor

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_FINDFILES_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

protected:

	bool TriggerSave(void);
	bool TriggerReload(void);
	bool SaveToProfile(void);
	bool LoadFromProfile(void);
	bool ReloadFileNames(void);

	void alignment();

	bool m_inside_load_from_profile = { false };

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedSelectdirectory();
	afx_msg void OnEnChangeDirectory();
	afx_msg void OnEnChangeLargerthan();
	afx_msg void OnEnChangeFilter();
	afx_msg void OnEnChangeSmallerthan();
	afx_msg void OnCbnSelchangeLargerthanunits();
	afx_msg void OnCbnSelchangeSmallerthanunits();
	afx_msg void OnBnClickedTextsearch();
	afx_msg void OnBnClickedReport();
	afx_msg void OnBnClickedOpen();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnEnChangeSearchtext();
	afx_msg void OnBnClickedRecursivesearch();
//	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSizing(UINT fwSide, LPRECT pRect);
	CDateTimeCtrl m_Before;
	CDateTimeCtrl m_After;
	afx_msg void OnBnClickedUsebefore();
	afx_msg void OnBnClickedUseafter();
	afx_msg void OnDtnDatetimechangeBefore(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDtnDatetimechangeAfter(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnLbnSelchangeFiles();
	afx_msg void OnBnClickedDelete();
	afx_msg void OnBnClickedStop();
	bool m_stop = { false };
};
