// pch.h: This is a precompiled header file.
// Files listed below are compiled only once, improving build performance for future builds.
// This also affects IntelliSense performance, including code completion and many code browsing features.
// However, files listed here are ALL re-compiled if any one of them is updated between builds.
// Do not add files here that you will be updating frequently as this negates the performance advantage.

#ifndef PCH_H
#define PCH_H

// add headers that you want to pre-compile here
#include "framework.h"

#include "inttypes.h"
#include "direct.h"

#include <vector>

using namespace std;

#define MCTRL_EXPORT

#include "MC_STRING.h"
#include "FILE_SEL.H"

using namespace WorkbenchLib;

namespace WorkbenchLib
{
	BOOL OpenFileUsingDefaultApp(const char* file_name, const char* foreign_ext = 0);
};

extern const char* g_profile_file;


#endif //PCH_H
